Skip to main content
GET
/
workers
/
{id}
/
shifts
/
{shift_id}
Get Worker Shift
curl --request GET \
  --url https://api.roostedhr.com/api/1_12/workers/{id}/shifts/{shift_id} \
  --header 'X-API-KEY: <api-key>'
{
  "id": "1443208",
  "erf_id": "2205987",
  "start": "2026-03-17 10:00:00",
  "end": "2026-03-17 20:00:00",
  "event_id": "98765",
  "event_uuid": "gH1f2w5xE3",
  "event_name": "Test TP",
  "location": "Arrowhead Stadium",
  "erfComments": null,
  "star_ranking": null,
  "late_for_work": null,
  "nocall_noshow": null,
  "role_title": "Bartender",
  "formattedStart": "Mar 17th 2026",
  "formattedTime": "10:00 am",
  "formattedEnd": "Mar 17th 2026",
  "formattedEndTime": "8:00 pm"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
integer
required

Worker ID

shift_id
integer
required

Shift ID

Response

OK

A shift assignment for a worker, including event and scheduling details.

id
string

Shift definition ID.

Example:

"1443208"

erf_id
string

Shift assignment ID.

Example:

"2205987"

event_id
string

Event ID.

Example:

"98765"

event_uuid
string

Event UUID.

Example:

"gH1f2w5xE3"

event_name
string

Name of the event.

Example:

"Test TP"

role_title
string

Skillset or role name for the shift.

Example:

"Bartender"

location
string | null

Location name where the shift takes place.

Example:

"Arrowhead Stadium"

start
string

Shift start datetime.

Example:

"2026-03-17 10:00:00"

end
string

Shift end datetime.

Example:

"2026-03-17 20:00:00"

formattedStart
string

Human-readable start date.

Example:

"Mar 17th 2026"

formattedTime
string

Human-readable start time.

Example:

"10:00 am"

formattedEnd
string

Human-readable end date.

Example:

"Mar 17th 2026"

formattedEndTime
string

Human-readable end time.

Example:

"8:00 pm"

erfComments
string | null

Comments on the shift assignment.

Example:

null

star_ranking
integer | null

Performance rating for the shift.

Required range: 0 <= x <= 5
Example:

null

late_for_work
enum<integer> | null

Whether the worker was late.

Available options:
0,
1
Example:

null

nocall_noshow
enum<integer> | null

Whether the worker was a no-call/no-show.

Available options:
0,
1
Example:

null